import { defHttp } from '@/utils/http/axios';
import { ProjectModel, ProjectParams } from '@/api/project/model/projectModel';

enum Api {
  GetList = '/pro/dangerManagement/page',
  GetListAll = '/pro/dangerManagement/all',
  potentialSafetyGetList = '/pro/dangerManagement/page',
  UpdateProject = '/pro/dangerManagement/update',
  DeleteProject = '/pro/dangerManagement/del',
}

export const getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });
export const getListByAll = (params?: ProjectParams) =>
    defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });

export const potentialSafetyGetListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.potentialSafetyGetList, data: params });
export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });
